## Process this file with autoconf to produce a configure script.
AC_PREREQ([2.69])
AC_INIT([libxspf-doc], [1.2.1], [gregory.david@ac-nantes.fr])
AC_CONFIG_AUX_DIR([../build-aux])
AM_INIT_AUTOMAKE([-Wall -Werror foreign dist-zip no-dist-gzip])
AC_CONFIG_SRCDIR([Doxyfile.in])


## Doxygen
AC_CHECK_PROG(DOXY_CHECK, doxygen, found, missing)
if test ${DOXY_CHECK} != "found" ; then
	AC_MSG_ERROR([Please install Doxygen first.])
fi


## Graphviz
AC_CHECK_PROG(GRAPHVIZ_CHECK, dot, found, missing)
if test ${GRAPHVIZ_CHECK} != "found" ; then
	AC_MSG_ERROR([Please install Graphviz first.])
fi


## HTML help, Qt Compressed Help
host_triplet=`${ac_config_guess}`
if echo "${host_triplet}" | grep cygwin &>/dev/null ; then
	GENERATE_HTMLHELP=YES
	QHG_LOCATION=../qhelpgenerator.exe
else
	GENERATE_HTMLHELP=NO
	QHG_LOCATION=qhelpgenerator
fi
AC_SUBST(GENERATE_HTMLHELP)
AC_SUBST(QHG_LOCATION)
AC_SUBST(srcdir, [${ac_abs_confdir}])


AC_CONFIG_FILES([
	Doxyfile
	Makefile
])
AC_CONFIG_FILES([release.sh], [chmod a+x release.sh])
AC_OUTPUT
